import { ExecutionResult, GraphQLError } from 'graphql';
/**
 * @param executionResult The complete execution result object which will be
 * mutated by merging the contents of the incremental result.
 * @param incrementalResult The incremental result that will be merged into the
 * complete execution result.
 */
export declare function mergeIncrementalResult(executionResult: ExecutionResult, incrementalResult: IncrementalResult): void;
export declare type IncrementalResult = {
    data?: Record<string, unknown> | null;
    errors?: ReadonlyArray<GraphQLError>;
    extensions?: Record<string, unknown>;
    hasNext?: boolean;
    path?: ReadonlyArray<string | number>;
    incremental?: ReadonlyArray<IncrementalResult>;
    label?: string;
    items?: ReadonlyArray<Record<string, unknown>> | null;
};
